salesforce.cdp.hyperdb.v1

## Class QueryCommandOk.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<QueryCommandOk.Builder>
      - - salesforce.cdp.hyperdb.v1.QueryCommandOk.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, QueryCommandOkOrBuilder

Enclosing class:
  QueryCommandOk

    public static final class QueryCommandOk.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<QueryCommandOk.Builder>
    implements QueryCommandOkOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.QueryCommandOk`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`QueryCommandOk.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryCommandOk` `build()`
`QueryCommandOk` `buildPartial()`
`QueryCommandOk.Builder` `clear()`
`QueryCommandOk.Builder` `clearAffectedRows()` `uint64 affected_rows = 1;`
`QueryCommandOk.Builder` `clearCommandReturn()`
`QueryCommandOk.Builder` `clearEmpty()` `.google.protobuf.Empty empty = 2;`
`QueryCommandOk.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`QueryCommandOk.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`QueryCommandOk.Builder` `clone()`
`long` `getAffectedRows()` `uint64 affected_rows = 1;`
`QueryCommandOk.CommandReturnCase` `getCommandReturnCase()`
`QueryCommandOk` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`com.google.protobuf.Empty` `getEmpty()` `.google.protobuf.Empty empty = 2;`
`com.google.protobuf.Empty.Builder` `getEmptyBuilder()` `.google.protobuf.Empty empty = 2;`
`com.google.protobuf.EmptyOrBuilder` `getEmptyOrBuilder()` `.google.protobuf.Empty empty = 2;`
`boolean` `hasAffectedRows()` `uint64 affected_rows = 1;`
`boolean` `hasEmpty()` `.google.protobuf.Empty empty = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`QueryCommandOk.Builder` `mergeEmpty(com.google.protobuf.Empty value)` `.google.protobuf.Empty empty = 2;`
`QueryCommandOk.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`QueryCommandOk.Builder` `mergeFrom(com.google.protobuf.Message other)`
`QueryCommandOk.Builder` `mergeFrom(QueryCommandOk other)`
`QueryCommandOk.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`QueryCommandOk.Builder` `setAffectedRows(long value)` `uint64 affected_rows = 1;`
`QueryCommandOk.Builder` `setEmpty(com.google.protobuf.Empty.Builder builderForValue)` `.google.protobuf.Empty empty = 2;`
`QueryCommandOk.Builder` `setEmpty(com.google.protobuf.Empty value)` `.google.protobuf.Empty empty = 2;`
`QueryCommandOk.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryCommandOk.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`QueryCommandOk.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryCommandOk.Builder>`

#### clear

    public QueryCommandOk.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryCommandOk.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryCommandOk.Builder>`

#### getDefaultInstanceForType

    public QueryCommandOk getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public QueryCommandOk build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public QueryCommandOk buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public QueryCommandOk.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryCommandOk.Builder>`

#### setField

    public QueryCommandOk.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                           Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryCommandOk.Builder>`

#### clearField

    public QueryCommandOk.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryCommandOk.Builder>`

#### clearOneof

    public QueryCommandOk.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryCommandOk.Builder>`

#### setRepeatedField

    public QueryCommandOk.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                   int index,
                                                   Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryCommandOk.Builder>`

#### addRepeatedField

    public QueryCommandOk.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                   Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryCommandOk.Builder>`

#### mergeFrom

    public QueryCommandOk.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryCommandOk.Builder>`

#### mergeFrom

    public QueryCommandOk.Builder mergeFrom(QueryCommandOk other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryCommandOk.Builder>`

#### mergeFrom

    public QueryCommandOk.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                     throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryCommandOk.Builder>`
Throws:
  `IOException`

#### getCommandReturnCase

    public QueryCommandOk.CommandReturnCase getCommandReturnCase()

Specified by:
  `getCommandReturnCase` in interface `QueryCommandOkOrBuilder`

#### clearCommandReturn

    public QueryCommandOk.Builder clearCommandReturn()

#### hasEmpty

    public boolean hasEmpty()

`.google.protobuf.Empty empty = 2;`

Specified by:
  `hasEmpty` in interface `QueryCommandOkOrBuilder`
Returns:
  Whether the empty field is set.

#### getEmpty

    public com.google.protobuf.Empty getEmpty()

`.google.protobuf.Empty empty = 2;`

Specified by:
  `getEmpty` in interface `QueryCommandOkOrBuilder`
Returns:
  The empty.

#### setEmpty

    public QueryCommandOk.Builder setEmpty(com.google.protobuf.Empty value)

`.google.protobuf.Empty empty = 2;`

#### setEmpty

    public QueryCommandOk.Builder setEmpty(com.google.protobuf.Empty.Builder builderForValue)

`.google.protobuf.Empty empty = 2;`

#### mergeEmpty

    public QueryCommandOk.Builder mergeEmpty(com.google.protobuf.Empty value)

`.google.protobuf.Empty empty = 2;`

#### clearEmpty

    public QueryCommandOk.Builder clearEmpty()

`.google.protobuf.Empty empty = 2;`

#### getEmptyBuilder

    public com.google.protobuf.Empty.Builder getEmptyBuilder()

`.google.protobuf.Empty empty = 2;`

#### getEmptyOrBuilder

    public com.google.protobuf.EmptyOrBuilder getEmptyOrBuilder()

`.google.protobuf.Empty empty = 2;`

Specified by:
  `getEmptyOrBuilder` in interface `QueryCommandOkOrBuilder`

#### hasAffectedRows

    public boolean hasAffectedRows()

`uint64 affected_rows = 1;`

Specified by:
  `hasAffectedRows` in interface `QueryCommandOkOrBuilder`
Returns:
  Whether the affectedRows field is set.

#### getAffectedRows

    public long getAffectedRows()

`uint64 affected_rows = 1;`

Specified by:
  `getAffectedRows` in interface `QueryCommandOkOrBuilder`
Returns:
  The affectedRows.

#### setAffectedRows

    public QueryCommandOk.Builder setAffectedRows(long value)

`uint64 affected_rows = 1;`

Parameters:
  `value` - The affectedRows to set.
Returns:
  This builder for chaining.

#### clearAffectedRows

    public QueryCommandOk.Builder clearAffectedRows()

`uint64 affected_rows = 1;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final QueryCommandOk.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryCommandOk.Builder>`

#### mergeUnknownFields

    public final QueryCommandOk.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryCommandOk.Builder>`